Subject: Re: [SIP] RE: Lessons Learned

From: Sean Olson <[email-masked]>
Date: Thu, 8 Jun 2000 09:01:52 -0500 (CDT)

> I agree with the sentiments here but I have a question.
> 
> How is it possible to correctly equate two separate unknown 
> URI's in a transaction ID?
> 

You have three options: 

1) Treat the URI as "generic" in the sense of RFC2396. Then you can
   create a canonical form using basic heuristics like the "host" 
   should be CI, the "userinfo" should CS, etc. Make a best effort
   guess as to whether or not various portions of the URI should be
   excluded and/or considered CI.
 
   Before anyone comments that this won't work in all situations, let
   me assure you that I know this :) It does, however, work fairly
   well.

2) Treat the URI as an opaque string and do a byte-for-byte comparison.
   This also won't work in all cases. It is a best effort attempt.
   (This would work for most tel: URIs.)

3) Cry foul and reject with a 4xx response. 

It is VERY unfortunate that you can't treat the To: and From: URIs as immutable 
strings and so here we are (I hope that anyone writing a SIP implementation out
there will take this into account when they are considering whether or not to 
add the port to the URI or change the case of the hostname or other things like
that).  What Adam is arguing for (and I agree) is to do
your best and not be overly concerned about details that may not be 
meaningful to you and your application anyways.

sean
--
Sean Olson <[email-masked]>

> -- 
> Gethin Liddell
> Team Geffin
> Ubiquity Software Corporation
> 
> http://www.ubiquity.net
> mailto:[email-masked]
> 
> 
> _______________________________________________
> SIP mailing list
> [email-masked]
> http://lists.bell-labs.com/mailman/listinfo/sip
> 

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip